package com.game.common.constant;


import com.game.common.utils.MessageUtils;

/**
 * 项目配置文件，
 */
public class ProjConfig {

    static String m_ServerUrl = null;
    static String m_siteName = "后台管理系统";
    /**
     * 充值货币名称,金币
     */
    static String m_coinName = "11073";
    /**
     * 充值货币图标，金币
     */
    static String m_coinIcon = "";
    /**
     * 收益货币名称，映票
     */
    static String m_ticketName = "11074";
    /**
     * 收益货币名称，映票
     */
    static String d_ticketName = "11570";
    /**
     * 收益货币图标，映票
     */
    static String m_ticketIcon = "";

    public static void setSiteName(String siteName) {
        if (siteName == null || siteName.length() < 1) {
            m_siteName = "后台管理系统";
        }
        m_siteName = siteName;
    }

    public static String getSizeName() {
        return m_siteName;
    }

    public static void setServerUrl(String url) {
        if (url == null || url.length() < 1) {
            return;
        }
        if (url.endsWith("/")) {
            url = url.substring(0, url.length() - 1);
        }
        m_ServerUrl = url;
    }

    /**
     * 服务器的网址，在站点信息中设置，设置后会更新。
     */
    public static String getServerUrl() {
        return m_ServerUrl;
    }

    /**
     * 获取金币名称
     *
     * @return
     */
    public static String getCoinName() {
        return MessageUtils.message(m_coinName);
    }

    public static void setCoinName(String coinName) {
        ProjConfig.m_coinName = coinName;
    }

    /**
     * 获取映票名称
     */
    public static String getTicketName() {
        return MessageUtils.message(m_ticketName);
    }

    /**
     * 获取余额名称
     */
    public static String getD_ticketName() {
        return MessageUtils.message(d_ticketName);
    }

    public static void setD_ticketName(String d_ticketName) {
        ProjConfig.d_ticketName = d_ticketName;
    }

    public static void setTicketName(String ticketName) {
        ProjConfig.m_ticketName = ticketName;
    }

    public static String getCoinIcon() {
        return m_coinIcon;
    }

    public static void setCoinIcon(String coinIcon) {
        ProjConfig.m_coinIcon = coinIcon;
    }

    public static String getTicketIcon() {
        return m_ticketIcon;
    }

    public static void setTicketIcon(String ticketIcon) {
        ProjConfig.m_ticketIcon = ticketIcon;
    }
}
